ALAS-2012-120


Amazon Linux AMI Security Advisory: ALAS-2012-120
Advisory Release Date: 2014-09-14 16:54 Pacific
Severity: Medium

Issue Overview:

Multiple integer overflow flaws, leading to stack-based buffer overflows, were found in glibc's functions for converting a string to a numeric representation (strtod(), strtof(), and strtold()). If an application used such a function on attacker controlled input, it could cause the application to crash or, potentially, execute arbitrary code. (CVE-2012-3480 )


Affected Packages:

glibc


Issue Correction:
Run yum update glibc to update your system.

New Packages:
i686:
    glibc-static-2.12-1.80.42.amzn1.i686
    glibc-2.12-1.80.42.amzn1.i686
    glibc-common-2.12-1.80.42.amzn1.i686
    glibc-utils-2.12-1.80.42.amzn1.i686
    glibc-devel-2.12-1.80.42.amzn1.i686
    glibc-debuginfo-2.12-1.80.42.amzn1.i686
    glibc-headers-2.12-1.80.42.amzn1.i686
    nscd-2.12-1.80.42.amzn1.i686
    glibc-debuginfo-common-2.12-1.80.42.amzn1.i686

src:
    glibc-2.12-1.80.42.amzn1.src

x86_64:
    glibc-utils-2.12-1.80.42.amzn1.x86_64
    nscd-2.12-1.80.42.amzn1.x86_64
    glibc-debuginfo-2.12-1.80.42.amzn1.x86_64
    glibc-common-2.12-1.80.42.amzn1.x86_64
    glibc-static-2.12-1.80.42.amzn1.x86_64
    glibc-2.12-1.80.42.amzn1.x86_64
    glibc-debuginfo-common-2.12-1.80.42.amzn1.x86_64
    glibc-devel-2.12-1.80.42.amzn1.x86_64
    glibc-headers-2.12-1.80.42.amzn1.x86_64